<?php
declare(strict_types=1);

namespace Drupal\membership\Plugin\Field\FieldFormatter;

use Drupal\datetime_range\Plugin\Field\FieldFormatter\DateRangeDefaultFormatter;

/**
 * 'Default' formatter for 'membership_term_length' fields.
 *
 * @FieldFormatter(
 *   id = "membership_term_length_default",
 *   label = @Translation("Default"),
 *   field_types = {
 *     "membership_term_length"
 *   }
 * )
 */
class TermLengthDefaultFormatter extends DateRangeDefaultFormatter {

}
